<?php

class ModelTotalDescontoacrescimokit extends Model
{
    public function getTotal(&$total_data, &$total)
    {
        $this->language->load('total/descontoacrescimokit');

        $acerto_kit_acrescimo = 0 ;
        $acerto_kit_desconto  = 0;
        foreach ($this->cart->getProducts() as $produto) {

            $acerto_kit_acrescimo += $produto["acerto_kit_acrescimo"];
            $acerto_kit_desconto  += $produto["acerto_kit_desconto"];

            $total += $produto["acerto_kit"];
        }

        if ( $acerto_kit_acrescimo == 0  && $acerto_kit_desconto==0 ) {
            return false;
        }

        if ($acerto_kit_desconto<0){
            $total_data[] = array(
                'code'       => 'descontoacrescimokit',
                'title'      => $this->language->get('desconto_kit'),
                'text'       => $this->currency->format($acerto_kit_desconto),
                'value'      => $acerto_kit_desconto,
                'sort_order' => $this->config->get('sub_total_sort_order')+1
            );
        }

        if ($acerto_kit_acrescimo>0){
            $total_data[] = array(
                'code'       => 'descontoacrescimokit',
                'title'      => $this->language->get('acrescimo_kit'),
                'text'       => $this->currency->format($acerto_kit_acrescimo),
                'value'      => $acerto_kit_acrescimo,
                'sort_order' => $this->config->get('sub_total_sort_order')+1
            );
        }

    }
}
